# Interface ReadableStreamGenericReader

interface ReadableStreamGenericReader {
closed: Promise<undefined>;
cancel(reason?): Promise<void>;
}

#### Hierarchy (view full)

- ReadableStreamGenericReader
  - ReadableStreamDefaultReader
  - ReadableStreamBYOBReader

- Defined in node_modules/@types/node/stream/web.d.ts:64

#####
Index

### Properties

closed

### Methods

cancel

## Properties

### `Readonly` closed

closed: Promise<undefined>

- Defined in node_modules/@types/node/stream/web.d.ts:65

## Methods

### cancel

- cancel(reason?): Promise<void>

- #### Parameters

  - `Optional` reason: any

  #### Returns Promise<void>

  - Defined in node_modules/@types/node/stream/web.d.ts:66